## DMS Validate Service Programming Code request DMS Validate Service Programming Code request |

## Functions

QmiMessageDmsValidateServiceProgrammingCodeInput * | qmi_message_dms_validate_service_programming_code_input_new ()
QmiMessageDmsValidateServiceProgrammingCodeInput * | qmi_message_dms_validate_service_programming_code_input_ref ()
void | qmi_message_dms_validate_service_programming_code_input_unref ()
gboolean | qmi_message_dms_validate_service_programming_code_input_get_service_programming_code ()
gboolean | qmi_message_dms_validate_service_programming_code_input_set_service_programming_code ()
QmiMessageDmsValidateServiceProgrammingCodeOutput * | qmi_message_dms_validate_service_programming_code_output_ref ()
void | qmi_message_dms_validate_service_programming_code_output_unref ()
gboolean | qmi_message_dms_validate_service_programming_code_output_get_result ()
void | qmi_client_dms_validate_service_programming_code ()
QmiMessageDmsValidateServiceProgrammingCodeOutput * | qmi_client_dms_validate_service_programming_code_finish ()

## Types and Values

| QmiMessageDmsValidateServiceProgrammingCodeInput
| QmiMessageDmsValidateServiceProgrammingCodeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsValidateServiceProgrammingCodeInput
        ╰── QmiMessageDmsValidateServiceProgrammingCodeOutput

## Description

## Functions

### qmi_message_dms_validate_service_programming_code_input_new ()

    QmiMessageDmsValidateServiceProgrammingCodeInput *
    qmi_message_dms_validate_service_programming_code_input_new
                                   (void);

Allocates a new QmiMessageDmsValidateServiceProgrammingCodeInput.

#### Returns

the newly created QmiMessageDmsValidateServiceProgrammingCodeInput. The returned value should be freed with `qmi_message_dms_validate_service_programming_code_input_unref()`.

Since: 1.0

### qmi_message_dms_validate_service_programming_code_input_ref ()

    QmiMessageDmsValidateServiceProgrammingCodeInput *
    qmi_message_dms_validate_service_programming_code_input_ref
                                   (QmiMessageDmsValidateServiceProgrammingCodeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_validate_service_programming_code_input_unref ()

    void
    qmi_message_dms_validate_service_programming_code_input_unref
                                   (QmiMessageDmsValidateServiceProgrammingCodeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeInput. |

Since: 1.0

### qmi_message_dms_validate_service_programming_code_input_get_service_programming_code ()

    gboolean
    qmi_message_dms_validate_service_programming_code_input_get_service_programming_code
                                   (QmiMessageDmsValidateServiceProgrammingCodeInput *self,
                                    const gchar **value_service_programming_code,
                                    GError **error);

Get the 'Service Programming Code' field from `self` .

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeInput. |
value_service_programming_code | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_validate_service_programming_code_input_set_service_programming_code ()

    gboolean
    qmi_message_dms_validate_service_programming_code_input_set_service_programming_code
                                   (QmiMessageDmsValidateServiceProgrammingCodeInput *self,
                                    const gchar *value_service_programming_code,
                                    GError **error);

Set the 'Service Programming Code' field in the message.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeInput. |
value_service_programming_code | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_validate_service_programming_code_output_ref ()

    QmiMessageDmsValidateServiceProgrammingCodeOutput *
    qmi_message_dms_validate_service_programming_code_output_ref
                                   (QmiMessageDmsValidateServiceProgrammingCodeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_validate_service_programming_code_output_unref ()

    void
    qmi_message_dms_validate_service_programming_code_output_unref
                                   (QmiMessageDmsValidateServiceProgrammingCodeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeOutput. |

Since: 1.0

### qmi_message_dms_validate_service_programming_code_output_get_result ()

    gboolean
    qmi_message_dms_validate_service_programming_code_output_get_result
                                   (QmiMessageDmsValidateServiceProgrammingCodeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsValidateServiceProgrammingCodeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_validate_service_programming_code ()

    void
    qmi_client_dms_validate_service_programming_code
                                   (QmiClientDms *self,
                                    QmiMessageDmsValidateServiceProgrammingCodeInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Validate Service Programming Code request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_validate_service_programming_code_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsValidateServiceProgrammingCodeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_validate_service_programming_code_finish ()

    QmiMessageDmsValidateServiceProgrammingCodeOutput *
    qmi_client_dms_validate_service_programming_code_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_validate_service_programming_code()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_validate_service_programming_code()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsValidateServiceProgrammingCodeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_validate_service_programming_code_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsValidateServiceProgrammingCodeInput

    typedef struct _QmiMessageDmsValidateServiceProgrammingCodeInput QmiMessageDmsValidateServiceProgrammingCodeInput;

The QmiMessageDmsValidateServiceProgrammingCodeInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsValidateServiceProgrammingCodeOutput

    typedef struct _QmiMessageDmsValidateServiceProgrammingCodeOutput QmiMessageDmsValidateServiceProgrammingCodeOutput;

The QmiMessageDmsValidateServiceProgrammingCodeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0